# RPM specfile for sane module
# Generated Thu Sep 13 21:21:06 2001 GMT by Ximian build system
# $Id: bb_do,v 1.127 2001/08/15 19:50:38 mike Exp $
# from $Id: helix-build.conf,v 1.8 2001/07/13 19:18:41 thunder Exp $

%define nam	sane
%define ver	1.0.3

Name:     	sane
Version: 	1.0.3
Release:	ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.mostang.com/sane/
Source0:	sane-1.0.3.tar.gz
Patch0:		include.patch
Patch1:		sane-compat.patch
Summary:	Scanner access software.
Group:		Applications/System
Provides:	libsane.so.1

%description

Scanner Access Now Easy (SANE) is a universal scanner interface.  The
SANE application programming interface (API) provides standardized
access to any raster image scanner hardware (flatbed scanner,
hand-held scanner, video and still cameras, frame-grabbers, etc.). If
they're using SANE, developers can write image-processing applications
without having to think about the peculiarities of individual devices.
SANE also makes it possible to write a device driver once, which can
then be used by any SANE-compliant application. SANE currently
includes drivers for some Epson SCSI scanners, HP ScanJet SCSI
scanners, Microtek SCSI scanners, Mustek SCSI flatbed scanners, PINT
devices, most UMAX SCSI scanners, Connectix QuickCam, and other SANE
devices via network. Note that this package does not enable network
scanning by default.  If you wish to enable network scanning, read the
saned(1) manpage.  If you'd like to develop SANE modules, you should
also install the sane-devel package.

%files
%defattr(-, root, root)
%doc AUTHORS README NEWS PROBLEMS PROJECTS doc/icons doc/figs doc/*.man
/usr/bin/*
/usr/sbin/*
/usr/lib/libsane*.so.*
/usr/lib/sane/*.so.*
/usr/man/*/*
%config /etc/sane.d/*


%package -n sane-devel
Summary:	The SANE (a universal scanner interface) development toolkit.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}

%description -n sane-devel
Static libraries and header files for writing Scanner Access Now Easy
(SANE) modules.	 SANE is a universal scanner interface which is
included in the sane package.

%files -n sane-devel
%defattr(-, root, root)
/usr/include/sane
/usr/lib/libsane*.la
/usr/lib/libsane*.a
/usr/lib/libsane*.so
/usr/lib/sane/*.la
/usr/lib/sane/*.a
/usr/lib/sane/*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n sane-1.0.3
    ;;
all)
%setup  -q -n sane-1.0.3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE} host_type=%{_target_platform}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/man infodir=${DESTDIR}/usr/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
